OCC Main Page | DataExchange | Toolkits | Packages | Class Hierarchy | Data Structures | File List | Data Fields | Globals

# DataExchange
TKSTEPBase
StepGeom

# StepGeom_BoundedSurface Class Reference

`#include <StepGeom_BoundedSurface.hxx>`

Inheritance diagram for StepGeom_BoundedSurface:

[legend]

## Public Member Functions
Standard_EXPORT | StepGeom_BoundedSurface ()
| Returns a BoundedSurface .
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Constructor & Destructor Documentation

Standard_EXPORT StepGeom_BoundedSurface::StepGeom_BoundedSurface | ( |  | ) |

## Member Function Documentation

Standard_EXPORT const StepGeom_BoundedSurface::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from StepGeom_Surface. Reimplemented in StepGeom_BezierSurface, StepGeom_BezierSurfaceAndRationalBSplineSurface, StepGeom_BSplineSurface, StepGeom_BSplineSurfaceWithKnots, StepGeom_BSplineSurfaceWithKnotsAndRationalBSplineSurface, StepGeom_CurveBoundedSurface, StepGeom_QuasiUniformSurface, StepGeom_QuasiUniformSurfaceAndRationalBSplineSurface, StepGeom_RationalBSplineSurface, StepGeom_RectangularCompositeSurface, StepGeom_RectangularTrimmedSurface, StepGeom_UniformSurface, and StepGeom_UniformSurfaceAndRationalBSplineSurface.

The documentation for this class was generated from the following file:

- StepGeom_BoundedSurface.hxx